Skip to main content
POST
/
api
/
publicapi
/
v1
/
transactions
/
launch
Starts processing of the files in new transaction
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/launch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'Model={
  "files": [
    {
      "index": "<string>",
      "imageProcessingOptions": {},
      "registrationParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "registrationParameters": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "skillParameters": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}' \
  --form 'Files=<string>' \
  --form Files.items='@example-file'
{
  "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

skillId
string

Body

multipart/form-data
Model
object

Additional transaction processing parameters. See TransactionLaunchMetadataDto model.

Files
file[]

Model for getting file passed in multipart/* content

Response

Transaction successfully created and started

transactionId
string<uuid>
required